<?php

/* Checked and updated 1999/04/18 by Fritz Zaucker <zaucker@ee.ethz.ch> */ 
/* Checked and updated 1999/09/22 by Kai Duebbert <kai@duebbert.de>     */
                                                                                                
if ($language == 'de') {
  class MailboxLocaleLang extends HordeLocaleLang {
    
    function MailboxLocaleLang () {
      $this->HordeLocaleLang();
    }
    
    function error ($current_mbox, $action) {
      global $lang;
      
      $action_text = $lang->$action;
      return "Mailbox: $current_mbox: Fehler: Nachricht $action_text fehlgeschlagen";
    }
    
    function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Nachrichten';
      else $messages = 'Nachricht';
      
      $action_text = $lang->$action;
      return "Mailbox: $current_mbox: $action_text $num $messages";
    }
    
    function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Nachrichten';
      else $messages = 'Nachricht';
      
      $action_text = $lang->$action;
      return "Mailbox: $current_mbox: $action_text $num $messages nach $targetMbox";
    }
    
    function pagenav ($page, $page_count) {
      global $this_client;
      if ($this_client == '') { $this_client = new WebClient; }
      
      if ($this_client->lynx) {
	return "Seite $page von $page_count";
      } else {
        $len = strlen($page_count);
	return "[Seite <input type=\"text\" name=\"page\" value=\"$page\" size=$len> von $page_count]";
      }
    }
    
    function overview ($begin, $end, $nummsgs) {
      if ($nummsgs == 0) {
	return "0 Nachrichten";
      } else if ($nummsgs == 1) {
	return "1 Nachricht";
      } else {
	return "$begin - $end von $nummsgs Nachrichten";
      }
    }
  }
}


$lang = new MailboxLocaleLang();
require('./locale/de/openwin.lang');

$lang->delete_link = '[Löschen]';
$lang->undelete_link = '[Wiederherstellen]';
$lang->move_link = '[Verschieben]';
$lang->copy_link = '[Kopieren]';
$lang->selected_mail = 'ausgewählte Nachrichten';

$lang->sort_by_label =  'Sortieren nach';
$lang->date_label = 'Datum';
$lang->from_label = 'Von';
$lang->subject_label = 'Betreff';
$lang->size_label = 'Größe';
$lang->to_label = 'An';

$lang->select_all = 'Alle auswählen';
$lang->select_none = 'Keine auswählen';
$lang->hide_deleted = 'Verstecke Gelöschte';
$lang->show_deleted = 'Zeige Gelöschte';
$lang->empty_trash = 'Papierkorb leeren';

$lang->no_subject = '[kein Betreff]';
$lang->undisclosed_recipients = 'Empfängerliste unterdrückt';
$lang->mailbox = 'Mailbox';

$lang->message = 'Nachricht';
$lang->messages = 'Nachrichten';

$lang->deletion = 'Löschen';
$lang->deleted = 'Gelöscht';
$lang->undeletion = 'Wiederherstellen';
$lang->undeleted = 'Wiederhergestellt';
$lang->move = 'Verschieben';
$lang->moved = 'Verschoben';
$lang->copy = 'Kopieren';
$lang->copied = 'Kopiert';
$lang->expunge = 'Entfernen';
$lang->expunged = 'Entfernt';
$lang->hiding_deleted = 'Verstecke gelöschte Nachrichten';
$lang->showing_deleted = 'Zeige gelöschte Nachrichten';
$lang->deleted_summary = 'gelöschte Nachricht(en) versteckt';
$lang->empty_mailbox = 'Keine Nachrichten.';
$lang->no_messages_selected = 'Sie müssen mindestens eine Nachricht auswählen.';

$lang->reverse_sort = 'Umgekehrte Sortierreihenfolge (neueste oder grösste nach älteste oder kleinste).';

$lang->refresh = 'Mailbox neu laden';
$lang->alert_really_delete = 'Sind sie absolut sicher, daß Sie diese Nachrichten PERMANENT löschen möchten?';
$lang->first_page = 'Erste Seite';
$lang->prev_page = 'Vorige Seite';
$lang->next_page = 'Nächste Seite';
$lang->last_page = 'Letzte Seite';
$lang->no_mailbox_selected = 'Sie müssen zuerst eine Mailbox auswählen.';
?>
